Events
Operations tagged Events in the public API.
/v1/events
List api events
List api events. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
Example 200 response
{
"object": "list",
"data": [
{
"object": "event",
"id": "evt_9cc416b6062b0b7651b32f0cf62cf008",
"type": "ping",
"object_type": "ping",
"object_id": null,
"api_version": "2026-08-14",
"payload": {
"id": "evt_9cc416b6062b0b7651b32f0cf62cf008",
"data": {
"object": {
"object": "ping"
}
},
"type": "ping",
"object": "event"
},
"created_at": "2026-01-01T00:00:00+00:00"
}
],
"has_more": false,
"next_cursor": null,
"previous_cursor": null,
"url": "/v1/events"
}curl -X GET https://api.agentency.com/v1/events \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/events/{id}
Retrieve a api event
Retrieve a api event. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
curl -X GET https://api.agentency.com/v1/events/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/event_types
Types api event
Types api event. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
Example 200 response
{
"object": "list",
"data": [
{
"object": "event_type",
"id": "chatbot.created",
"description": "A chatbot was created",
"resource": "chatbot"
},
{
"object": "event_type",
"id": "chatbot.updated",
"description": "A chatbot was updated",
"resource": "chatbot"
},
{
"object": "event_type",
"id": "chatbot.deleted",
"description": "A chatbot was deleted",
"resource": "chatbot"
},
{
"object": "event_type",
"id": "chatbot.activated",
"description": "A chatbot was activated",
"resource": "chatbot"
},
{
"object": "event_type",
"id": "chatbot.deactivated",
"description": "A chatbot was deactivated",
"resource": "chatbot"
},
{
"object": "event_type",
"id": "knowledge.dataset.created",
"description": "A knowledge dataset was created",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "knowledge.dataset.trained",
"description": "A knowledge dataset finished training",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "knowledge.dataset.failed",
"description": "A knowledge dataset failed training",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "knowledge.dataset.deleted",
"description": "A knowledge dataset was deleted",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "knowledge.collection.created",
"description": "A knowledge collection was created",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "knowledge.collection.updated",
"description": "A knowledge collection was updated",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "knowledge.collection.deleted",
"description": "A knowledge collection was deleted",
"resource": "knowledge"
},
{
"object": "event_type",
"id": "crawl.completed",
"description": "A crawl completed",
"resource": "crawl"
},
{
"object": "event_type",
"id": "crawl.failed",
"description": "A crawl failed",
"resource": "crawl"
},
{
"object": "event_type",
"id": "conversation.started",
"description": "A conversation started",
"resource": "conversation"
},
{
"object": "event_type",
"id": "conversation.message.created",
"description": "A conversation message was created",
"resource": "conversation"
},
{
"object": "event_type",
"id": "conversation.ended",
"description": "A conversation ended",
"resource": "conversation"
},
{
"object": "event_type",
"id": "conversation.handoff.requested",
"description": "A conversation asked for a human",
"resource": "conversation"
},
{
"object": "event_type",
"id": "customer.created",
"description": "A customer was created",
"resource": "customer"
},
{
"object": "event_type",
"id": "customer.updated",
"description": "A customer was updated",
"resource": "customer"
},
{
"object": "event_type",
"id": "customer.deleted",
"description": "A customer was deleted",
"resource": "customer"
},
{
"object": "event_type",
"id": "lead.captured",
"description": "A lead was captured",
"resource": "lead"
},
{
"object": "event_type",
"id": "action.run.succeeded",
"description": "A Call Action run succeeded",
"resource": "action"
},
{
"object": "event_type",
"id": "action.run.failed",
"description": "A Call Action run failed",
"resource": "action"
},
{
"object": "event_type",
"id": "action.created",
"description": "A Call Action was created",
"resource": "action"
},
{
"object": "event_type",
"id": "action.updated",
"description": "A Call Action was updated",
"resource": "action"
},
{
"object": "event_type",
"id": "action.deleted",
"description": "A Call Action was deleted",
"resource": "action"
},
{
"object": "event_type",
"id": "channel.connected",
"description": "A messaging channel was connected",
"resource": "channel"
},
{
"object": "event_type",
"id": "channel.disconnected",
"description": "A messaging channel was disconnected",
"resource": "channel"
},
{
"object": "event_type",
"id": "billing.credits.low",
"description": "Account credits are low",
"resource": "billing"
},
{
"object": "event_type",
"id": "billing.credits.exhausted",
"description": "Account credits are exhausted",
"resource": "billing"
},
{
"object": "event_type",
"id": "billing.subscription.updated",
"description": "The subscription changed",
"resource": "billing"
},
{
"object": "event_type",
"id": "api_key.created",
"description": "An API key was created",
"resource": "api_key"
},
{
"object": "event_type",
"id": "api_key.revoked",
"description": "An API key was revoked",
"resource": "api_key"
},
{
"object": "event_type",
"id": "webhook_endpoint.disabled",
"description": "A webhook endpoint was auto-disabled",
"resource": "webhook_endpoint"
},
{
"object": "event_type",
"id": "file.created",
"description": "A file was uploaded",
"resource": "file"
},
{
"object": "event_type",
"id": "file.deleted",
"description": "A file was deleted",
"resource": "file"
},
{
"object": "event_type",
"id": "crawler.created",
"description": "A crawler was created",
"resource": "crawler"
},
{
"object": "event_type",
"id": "crawler.updated",
"description": "A crawler was updated",
"resource": "crawler"
},
{
"object": "event_type",
"id": "crawler.deleted",
"description": "A crawler was deleted",
"resource": "crawler"
},
{
"object": "event_type",
"id": "widget.updated",
"description": "Widget settings were updated",
"resource": "widget"
},
{
"object": "event_type",
"id": "plugin.installed",
"description": "A website plugin was installed",
"resource": "plugin"
},
{
"object": "event_type",
"id": "plugin.uninstalled",
"description": "A website plugin was uninstalled",
"resource": "plugin"
},
{
"object": "event_type",
"id": "profile.updated",
"description": "The account profile was updated",
"resource": "profile"
},
{
"object": "event_type",
"id": "ping",
"description": "A test ping from Agentency",
"resource": "ping"
}
],
"has_more": false,
"next_cursor": null,
"url": "/v1/event_types"
}curl -X GET https://api.agentency.com/v1/event_types \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"